To buy a PPC / Power Mac G4... (or G5?)

Discussion in 'PowerPC Macs' started by MSM Hobbes, Oct 9, 2011.

  1. macrumors 6502

    Joined:
    Aug 25, 2006
    Location:
    NE Hoosierana
    #1
    I've a 24" iMac and a 2011 MBP,,, love 'em. However, have always drooled over having a Power Mac of the G4 vintage - love their looks, and their performance for OS 9 apps. So, in order of preference, what would be the best versions to look at? Pros / cons of the different versions? How to minimize potential issues [such as PSU failing, noises, etc.] when buying?

    Similar questions (potential issues, etc.), but for the G5 era version? Not as "cool" looking, but performance would be (significantly) greater than G4?

    Thanks much...
     
  2. macrumors 65816

    Aldaris

    Joined:
    Sep 7, 2004
    Location:
    Salt Lake
    #2
    To the best of my knowledge the MDD PowerMac is the last model to dual boot with OS 9, The G5 won't support Mac OS 9.

    Apart from that, for the price they are great machines and the upgrade options are there too.

    Best options sound like the quicksilver or mirror drive door models.
     
  3. macrumors 601

    alust2013

    Joined:
    Feb 6, 2010
    Location:
    On the fence
    #3
    I'd probably grab a quicksilver G4 if you want to boot OS 9, as I think those (except for the most powerful model) were the last to boot it. I don't think the MDDs could. Plus the quicksilver just looks cool.
     
  4. macrumors 65816

    Aldaris

    Joined:
    Sep 7, 2004
    Location:
    Salt Lake
    #4
    According to everymac.com the only MDD's that do not support booting in OS 9 are the ones with FW800, but all will run classic, as will the G5.
     
  5. macrumors 601

    alust2013

    Joined:
    Feb 6, 2010
    Location:
    On the fence
    #5
    gotcha. Must have mixed that up, it's been a while since I read up on my G4 history :p
     
  6. macrumors regular

    Joined:
    Nov 20, 2010
    #6
    Yeah the G5's will run OS9 but only up to Tiger 10.4.x, Leopard 10.5 has no classic OS9 support.
     
  7. macrumors 68020

    Jethryn Freyman

    Joined:
    Aug 9, 2007
    Location:
    Australia
    #7
    G5's don't run OS 9 at all.

    They can run the Classic Environment in up to Tiger, there's a big difference...
     
  8. aednichols, Oct 9, 2011
    Last edited: Oct 9, 2011

    macrumors member

    aednichols

    Joined:
    Jun 9, 2010
    #8
    Be aware that while all of the MDD G4s except for the FW 800 models will run OS 9, they require machine-specific install discs, which may be impossible to find nowadays. This is because the computers were released after the last OS 9 update, so the ROM needed to boot it isn't in the retail version; Apple's solution was to make restore discs that would only work on the machines they shipped with.

    See http://support.apple.com/kb/ht1835
     
  9. thread starter macrumors 6502

    Joined:
    Aug 25, 2006
    Location:
    NE Hoosierana
    #9
    Thanks all... follow-up question: how concerning are the articles / stories regarding the MDD versions that speak of the noisy fan [aka "Windtunnel G4"], failing PSU (power supply unit), and/or the flaw that created / allowed noise via the audio-out?

    Guess then the most powerful G4 that can boot both OS9 and OSX would be the 1.25 GHz PowerPC G4 (7455/7455B),,, suggestions on purchasing used, in manner to minimize chances of the above mentioned issues?

    And then lastly (for now), how do you ensure that you do acquire the appropriate start-up disc(s) [given the footnote '3' on the support.apple page that aednichols provided - thanks]?
     
  10. macrumors member

    aednichols

    Joined:
    Jun 9, 2010
    #10
    Your best bet is to find a machine that has all of its original documentation and CDs - otherwise, you may be able to buy a set of discs used on eBay, which is inconvenient and possibly quite expensive.
     

Share This Page